# MPI_Initialized

## NAME

MPI_Initialized − Indicates whether MPI_Init has been called.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Initialized(int *flag)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_INITIALIZED(FLAG, IERROR)

| LOGICAL |  |  | FLAG
| INTEGER |  |  | IERROR

## C++ Syntax

#include <mpi.h>
bool Is_initialized()

## OUTPUT PARAMETERS

| flag |  | Flag is true if MPI_Init has been called and false otherwise.
| IERROR |  | Fortran only: Error status (integer).

## DESCRIPTION

This routine may be used to determine whether MPI_Init has been called. It is the only routine that may be called before MPI_Init is called.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Init

MPI API Index